=head1 NAME

Gtk2::IMContext

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::IMContext



=cut


=head1 METHODS

=head2 $context-E<gt>B<set_client_window> ($window)

=over

=item * $window (Gtk2::Gdk::Window or undef) 

=back

=head2 $context-E<gt>B<set_cursor_location> ($area)

=over

=item * $area (Gtk2::Gdk::Rectangle) 

=back

=head2 boolean = $context-E<gt>B<delete_surrounding> ($offset, $n_chars)

=over

=item * $offset (integer) 

=item * $n_chars (integer) 

=back

=head2 boolean = $context-E<gt>B<filter_keypress> ($key_event)

=over

=item * $key_event (Gtk2::Gdk::Event) 

=back

=head2 $context-E<gt>B<focus_in> 

=head2 $context-E<gt>B<focus_out> 

=head2 list = $context-E<gt>B<get_preedit_string> 

=head2 $context-E<gt>B<reset> 

=head2 list = $context-E<gt>B<get_surrounding> 

=head2 $context-E<gt>B<set_surrounding> ($text, $cursor_index)

=over

=item * $text (string) 

=item * $cursor_index (integer) 

=back

=head2 $context-E<gt>B<set_use_preedit> ($use_preedit)

=over

=item * $use_preedit (boolean) 

=back



=cut


=head1 SIGNALS

=over

=item B<preedit-start> (Gtk2::IMContext)

=item B<preedit-end> (Gtk2::IMContext)

=item B<preedit-changed> (Gtk2::IMContext)

=item B<commit> (Gtk2::IMContext, string)

=item boolean = B<retrieve-surrounding> (Gtk2::IMContext)

=item boolean = B<delete-surrounding> (Gtk2::IMContext, integer, integer)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

